"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class TraitAssociation(object):
    """
    Association of variants to a given trait. * `established_risk_allele`
    : Established risk allele for variants associated to disease *
    `likely_risk_allele` : Likely risk allele for variants associated
    to disease * `uncertain_risk_allele` : Uncertain risk allele for
    variants associated to disease * `protective` : Protective allele
    """

    established_risk_allele = "established_risk_allele"
    likely_risk_allele = "likely_risk_allele"
    uncertain_risk_allele = "uncertain_risk_allele"
    protective = "protective"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
